Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1797591 - Missing manpage kernel_lockdown.7
Summary: Missing manpage kernel_lockdown.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 13:22 UTC by Nikola Forró
Modified: 2020-02-12 01:40 UTC (History)
3 users (show)

Fixed In Version: man-pages-5.02-2.fc31 man-pages-4.16-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:13:46 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1781945 1 None None None 2021-01-20 06:05:38 UTC

Description Nikola Forró 2020-02-03 13:22:26 UTC
This bug was initially created as a copy of Bug #1781945.


I am copying this bug because:

The man page is missing also on Fedora.


Describe the issue:

On a RHEL 8.1 install with Secure boot enabled dmesg references man page for kernel_lockdown.7 which is missing.

[root@condor1 ~]# dmesg | grep lockdown
[    0.000000] Kernel is locked down from EFI secure boot; see man kernel_lockdown.7
[    6.732908] Lockdown: swapper/0: Hibernation is restricted; see man kernel_lockdown.7
[   31.404037] Lockdown: x86_energy_perf: Direct MSR access is restricted; see man kernel_lockdown.7
[  235.919949] Lockdown: sosreport: Direct PCI access is restricted; see man kernel_lockdown.7
[  245.506891] Lockdown: sosreport: debugfs is restricted; see man kernel_lockdown.7 

[root@condor1 ~]# man kernel_lockdown
No manual entry for kernel_lockdown

[root@condor1 ~]# mokutil --sb-state
SecureBoot enabled

Comment 1 Fedora Update System 2020-02-03 13:52:00 UTC
FEDORA-2020-7dc2546797 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7dc2546797

Comment 2 Fedora Update System 2020-02-04 00:59:28 UTC
man-pages-5.02-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7dc2546797

Comment 3 Fedora Update System 2020-02-04 01:47:41 UTC
man-pages-4.16-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-65b5b16968

Comment 4 Fedora Update System 2020-02-11 01:13:46 UTC
man-pages-5.02-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-02-12 01:40:58 UTC
man-pages-4.16-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.